We are sorry,
Currently we are supporting FireFox 3.0+,Google Crome, Safari 3.0+ browsers only.